// $Id: DefaultOptions.h,v 1.12 2009/09/09 02:29:47 hpereira Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.	See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* software; if not, write to the Free Software Foundation, Inc., 59 Temple
* Place, Suite 330, Boston, MA	02111-1307 USA
*
*
*******************************************************************************/

/*!
	\file		DefaultOptions.h
	\brief	 ServerLog default options
	\author	Hugo Pereira
	\version $Revision: 1.12 $
	\date		$Date: 2009/09/09 02:29:47 $
*/

#include "File.h"
#include "MainWindow.h"
#include "XmlOptions.h"
#include "Util.h"

//_____________________________________________________
//! default options installer
void installDefaultOptions( void )
{

  XmlOptions::get().setAutoDefault( true );
  XmlOptions::get().set( "ICON_PIXMAP", Option( ":/icon.png", "application icon") );
	XmlOptions::get().set( "IDENTIFY_COLOR", "black" );
	XmlOptions::get().set( "SERVER_COLOR", "#aa0000" );
	XmlOptions::get().set( "VERBOSITY", MainWindow::VERBOSITY_LOW );
	XmlOptions::get().set( "MAIN_WINDOW_WIDTH", "450" );
	XmlOptions::get().set( "MAIN_WINDOW_HEIGHT", "200" );
  XmlOptions::get().set( "DEBUG_LEVEL", "1" );

  XmlOptions::get().set( "APP_NAME", Option( "SERVERLOG", Option::NONE ) );
  XmlOptions::get().set( "RC_FILE", Option( File(".serverlogrc").addPath( Util::home() ), Option::NONE ) );
  XmlOptions::get().setAutoDefault( false );

}
